Bug 20898 - cyrus deliver -E option no longer supported
cyrus deliver -E option no longer supported
Product: Red Hat Powertools
Classification: Retired
Component: cyrus-imapd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-11-15 05:14 EST by Andreas J. Bathe
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-30 04:22:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andreas J. Bathe 2000-11-15 05:14:32 EST
I'm setting up the Cyrus IMAP server (RH 7.0). Upgraded to the Rawhide
version cyrus-imapd-2.0.7-2. In /etc/cron.daily there is the script

su cyrus -s /bin/bash -c '/usr/cyrus/bin/deliver -E 3'

and logs the following error:

deliver: 'E' option no longer supported
421-4.3.0 usage: deliver [-m mailbox] [-a auth] [-r return_path] [-l] [-D]
421 4.3.0 v2.0.7

I commented it out. Do we still need that cron-daily script?

Andreas J. Bathe
merconic GmbH, Berlin
Comment 1 Andreas J. Bathe 2000-11-30 04:22:29 EST
Within the info-cyrus list I found:

The "ctl_deliver" program now can prune the deliverdb; I believe the
sample cyrus.conf files will automatically call ctl_deliver to prune
back the database once a day.

So I changed /etc/cron.daily/cyrus-imapd to:

su - cyrus -s /bin/bash -c '/usr/cyrus/bin/ctl_deliver -E 3'

Andreas J. Bathe
merconic GmbH, Berlin
Comment 2 Nalin Dahyabhai 2001-02-15 12:32:11 EST
I'll change this for 2.0.9-2 and later.  Thanks!
Comment 3 Andy 2004-12-17 10:00:16 EST
Proposed solution:

in /etc/cron.daily/cyrus-imapd


su - cyrus -s /bin/bash -c '/usr/cyrus/bin/cyr_expire -E 3'

Andy Pieters
Straight-A-Software Nice, FR

Note You need to log in before you can comment on or make changes to this bug.